endgame(6)

NAME
endgame - endgame chess screensaver

SYNOPSIS
endgame [-display host:display.screen] [-window] [-root] [-install] [-visual visual] [-delay microseconds] [-wireframe] [-fps]

DESCRIPTION
endgame replays a brilliant chess ending

OPTIONS
endgame accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-install
    Install a private colormap for the window.

-shadows
    Project pieces against the board with dark blend.

-reflections
    Reflect pieces in light board squares.

-classic
    Use the original low-polygon piece models.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-wireframe
    Render in wireframe instead of solid. -fps Display the current frame rate, CPU load, and polygon count.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

BUGS
It's not unknown for this and other OpenGL hacks to fail under hardware accelaration (UtahGLX) and take the X server with them. Texture images must be 16x16 or 32x32 or 64x64 etc.

SEE ALSO
X(1), xscreensaver(1) xscreensaver-settings(1), xscreensaver-getimage(6)

COPYRIGHT
Copyright © 2002 by Blair Tennessy. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Blair Tennessy <tennessb@unbc.ca>, 20-April-2002.